SystemOrganization addCategory: #GODBases!

Object subclass: #GDBAuthor
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODBases'!

!GDBAuthor class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 21:00'!
named: aString
	^ self new name: aString; yourself! !

!GDBAuthor methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:57'!
name
	^ name! !

!GDBAuthor methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:58'!
name: aString
	name := aString! !

!GDBAuthor methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:59'!
printOn: aStream
	aStream nextPutAll: 'Author: ', name! !

Object subclass: #GDBData
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODBases'!

!GDBData class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:55'!
database
	^ GDBMagmaDataBase root at: 'gdbdata'.! !

Object subclass: #GDBMagmaDataBase
	instanceVariableNames: 'session'
	classVariableNames: 'Default'
	poolDictionaries: ''
	category: 'GODBases'!

!GDBMagmaDataBase class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:53'!
commit: aBlock
	self default session commit: aBlock! !

!GDBMagmaDataBase class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:48'!
default
	^ Default ifNil: [Default := self new connect; yourself].! !

!GDBMagmaDataBase class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 21:01'!
release
	Default ifNil: [
		Default session disconnectAndClose.
		Default := nil.
		]! !

!GDBMagmaDataBase class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:52'!
root
	^ self session root! !

!GDBMagmaDataBase class methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:52'!
session
	^ self default session! !

!GDBMagmaDataBase methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:50'!
connect
	session := (MagmaRemoteLocation
					host: 'localhost'
					port: 51001) newSession.
	session connectAs: 'lucy'.! !

!GDBMagmaDataBase methodsFor: 'as yet unclassified' stamp: 'lacm 9/28/2014 20:51'!
session
	^ session! !
